aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-opie/opie-notesapplet
diff options
context:
space:
mode:
authorPaul Eggleton <paul.eggleton@linux.intel.com>2011-07-24 17:57:24 +0100
committerPaul Eggleton <paul.eggleton@linux.intel.com>2011-07-30 02:35:12 +0100
commite9b45ff67d32fdc27950a51135b6dabada8334e7 (patch)
treede99cd760c8292ee1dd334e23e1e5cc43e90dfbd /recipes-opie/opie-notesapplet
downloadmeta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.tar.gz
meta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.tar.bz2
meta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.zip
initial commit of meta-opie
Populate the repository with files from OpenEmbedded at revision 45edf621296daf150c72b876d720861235e5762e - no changes, only rearranged the directory structure to match the new oe-core style and added COPYING.MIT and README. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
Diffstat (limited to 'recipes-opie/opie-notesapplet')
-rw-r--r--recipes-opie/opie-notesapplet/opie-notesapplet.inc31
-rw-r--r--recipes-opie/opie-notesapplet/opie-notesapplet_1.2.5.bb5
-rw-r--r--recipes-opie/opie-notesapplet/opie-notesapplet_cvs.bb5
3 files changed, 41 insertions, 0 deletions
diff --git a/recipes-opie/opie-notesapplet/opie-notesapplet.inc b/recipes-opie/opie-notesapplet/opie-notesapplet.inc
new file mode 100644
index 0000000..ca4cae9
--- /dev/null
+++ b/recipes-opie/opie-notesapplet/opie-notesapplet.inc
@@ -0,0 +1,31 @@
+DESCRIPTION = "Notes Applet"
+SECTION = "opie/applets"
+PRIORITY = "optional"
+LICENSE = "GPL"
+APPNAME = "notesapplet"
+
+
+S = "${WORKDIR}/${APPNAME}"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ /usr/bin/qcop QPE/TaskBar "reloadApplets()"
+else
+ exit 0
+fi
+}
+
+pkg_postrm() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+/usr/bin/qcop QPE/TaskBar "reloadApplets()"
+}
+
+# FILES plugins/applets/libnotesapplet.so*
+do_install() {
+}
+
diff --git a/recipes-opie/opie-notesapplet/opie-notesapplet_1.2.5.bb b/recipes-opie/opie-notesapplet/opie-notesapplet_1.2.5.bb
new file mode 100644
index 0000000..5da929f
--- /dev/null
+++ b/recipes-opie/opie-notesapplet/opie-notesapplet_1.2.5.bb
@@ -0,0 +1,5 @@
+require ${PN}.inc
+
+SRC_URI = "http://sources.openembedded.org/opie-1.2.5-split_noncore_applets_notesapplet.tar.bz2;name=split_noncore_applets_notesapplet"
+SRC_URI[split_noncore_applets_notesapplet.md5sum] = "c013f566961a731a93329eebfa455960"
+SRC_URI[split_noncore_applets_notesapplet.sha256sum] = "507de07bc4b06c860cfdeb34ccacd89ece91e8490c167c8e2a66d9f9b15a06bd"
diff --git a/recipes-opie/opie-notesapplet/opie-notesapplet_cvs.bb b/recipes-opie/opie-notesapplet/opie-notesapplet_cvs.bb
new file mode 100644
index 0000000..1dd6151
--- /dev/null
+++ b/recipes-opie/opie-notesapplet/opie-notesapplet_cvs.bb
@@ -0,0 +1,5 @@
+require ${PN}.inc
+
+PV = "${OPIE_GIT_PV}"
+
+SRC_URI = "${OPIE_GIT};protocol=git;subpath=noncore/applets/notesapplet"